using System.Reflection;
using System;
using System.Text.RegularExpressions;
using UnityEngine;

namespace P4Connect
{
	/// <summary>
	/// Version wrappers for P4Connect
	/// </summary>
    public static class Version
    {
        public static string unityVersion = "2.7";
        public static string perforceRelease = "2015.1.0.0";    // Copy this into the AssemblyInfo for P4Connect
        public static string branch = "beta";
        public static string build = branch + "." + ChangeId;     
        public static string changeIdStr = "";

        public static string ChangeId { 
            get {
                string change = " $Change: 12099 $";  // File must be stored +k so the RCS Keyword expands
                if (String.IsNullOrEmpty(changeIdStr))
                {
                   changeIdStr = Regex.Match(change, @"\d+").Value;
                }
                return changeIdStr;
            }
        }
    }
}